vice - commodore emulator

Questions about applications and software
Forum rules
Before you post please read how to get help

vice - commodore emulator

Postby OU812 on Fri Jun 29, 2007 8:12 pm

Hello. I just installed bianca mini-kde. Very beautiful. I have it doing almost everything I want it to - except run the commodore emulator vice. I tried installing 1.19 from the repo, but I got an error regarding the kernel. I uninstalled it and tried compiling from source. I got an error regarding cpp failing a sanity check. Lastly, I googled and found a 1.16 ubuntu package. I tried installing it, but got the same error (when doing "x64" from a terminal) as the 1.19 version. This seems to be a very common problem: I have had some sort of error (usually the kernel error) in every debian-based distro I have tried (mepis, sidux, etc.). Perhaps it is a debian package? Anyway, any ideas on how to get vice installed? Thanks.

john

P.S. I know that I can compile apps; e.g. I was able to compile tkdgen (a tk/tcl gui front-end for dgen) from source.
OU812
Level 3
Level 3
 
Posts: 151
Joined: Fri Jun 29, 2007 8:01 pm
Location: California, USA

Linux Mint is funded by ads and donations.
 

Postby OU812 on Sat Jun 30, 2007 9:50 am

Hello. I searched the kubuntu forums and no joy. Then I searched the ubuntu forums (should have done this first). Here's what I found:

http://ubuntuforums.org/showthread.php? ... +commodore

A very clear thread that explains the nature of the problem and the fix. Thanks for reading.

Peace Out.

john
OU812
Level 3
Level 3
 
Posts: 151
Joined: Fri Jun 29, 2007 8:01 pm
Location: California, USA

Postby kenetics on Sat Jun 30, 2007 11:46 am

Thanks for the link. I may try that emulator out. Gotta play Jumpman one more time!
User avatar
kenetics
Level 5
Level 5
 
Posts: 616
Joined: Thu Dec 14, 2006 9:57 pm
Location: Somewhere on a Florida beach

Postby OU812 on Sat Jun 30, 2007 7:15 pm

Since I got confused with the directions (missed a step), here are my modified directions:

1. Download and extract vice.
2. Click on the link to the patch. Apply the patch.
3. Install build-essential and/or the lib thing.
4. Install vice.

john
OU812
Level 3
Level 3
 
Posts: 151
Joined: Fri Jun 29, 2007 8:01 pm
Location: California, USA


Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 23 guests